---
title: IntersectionObserverEntry.boundingClientRect
slug: Web/API/IntersectionObserverEntry/boundingClientRect
tags:
  - API
  - Experimental
  - Intersection Observer
  - Intersection Observer API
  - IntersectionObserverEntry
  - Property
  - Reference
  - boundingClientRect
---
<div>{{APIRef("Intersection Observer API")}}{{SeeCompatTable}}</div>

<p>The {{domxref("IntersectionObserverEntry")}} interface's read-only <strong><code>boundingClientRect</code></strong> property returns a {{domxref("DOMRectReadOnly")}} which in essence describes a rectangle describing the smallest rectangle that contains the entire target element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var><code>var <em>boundsRect</em> = </code>IntersectionObserverEntry</var>.boundingClientRect;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMRectReadOnly")}} which describes the smallest rectangle that contains every part of the target element whose intersection change is being described. This value is obtained using the same algorithm as {{domxref("Element.getBoundingClientRect()")}}, so refer to that article for details on precisely what is done to obtain this rectangle and what is and is not included within its bounds.</p>

<p>In the general case, however, it's safe to think of this as the bounds rectangle of the target element.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('IntersectionObserver', '#dom-intersectionobserverentry-boundingclientrect', 'IntersectionObserverEntry.boundingClientRect')}}</td>
   <td>{{Spec2('IntersectionObserver')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.IntersectionObserverEntry.boundingClientRect")}}</p>
